org.apache.felix.ipojo.annotations

## Annotation Type ServiceController

    @Target(value={FIELD,ANNOTATION_TYPE})
    public @interface ServiceController

This annotation declares a service controller.

Author:
  Felix Project Team

### Optional Element Summary

Optional Elements
`Class` `specification` Sets the targeted specification.
`boolean` `value` Sets the initial value of the controller.

### Element Detail

#### value

    public abstract boolean value

Sets the initial value of the controller.

Default:
  true

#### specification

    public abstract Class specification

Sets the targeted specification. If not set, target all specifications.

Default:
  java.lang.Object.class